Description

Heya,

just wanted to try Foreman 1.4 on a current CentOS 6.5 with all patches installed.

After a 'yum install foreman-installer' i just ran the foreman-installer command, which almost immediately bails out. The relevant part

of the log:

<snip>

[DEBUG 2014-02-05 16:39:37 main]  template[/usr/share/foreman-installer/modules/apache/templates/listen.erb]: Interpolated

template /usr/share/foreman-installer/modules/apache/templates/listen.erb in 0.00 seconds

[DEBUG 2014-02-05 16:39:37 main]  Scope(Apache::Namevirtualhost[*:8140]): Retrieving template apache/namevirtualhost.erb

[DEBUG 2014-02-05 16:39:37 main]  template[/usr/share/foreman-installer/modules/apache/templates/namevirtualhost.erb]: Bound

template variables for /usr/share/foreman-installer/modules/apache/templates/namevirtualhost.erb in 0.00 seconds

[DEBUG 2014-02-05 16:39:37 main]  template[/usr/share/foreman-installer/modules/apache/templates/namevirtualhost.erb]:

Interpolated template /usr/share/foreman-installer/modules/apache/templates/namevirtualhost.erb in 0.00 seconds

[ INFO 2014-02-05 16:39:37 main] /usr/lib/ruby/site_ruby/1.8/puppet/file_system/file.rb:152: [BUG] rb_gc_mark(): unknown data type

0x28(0x7e21790) non object

[ INFO 2014-02-05 16:39:37 main] ruby 1.8.7 (2011-06-30 patchlevel 352) [x86_64-linux]

[ INFO 2014-02-05 16:39:37 main]

[ INFO 2014-02-05 16:39:40 main] sh: line 1:  2186 Done                    echo '$kafo_config_file="/etc/foreman/foreman-installer.yaml" 

$kafo_add_progress=true include kafo_configure'

[ INFO 2014-02-05 16:39:40 main]       2187 Aborted                 (core dumped) |

RUBYLIB=/usr/lib/ruby/gems/1.8/gems/kafo-0.3.11/lib/kafo/../..//modules: puppet apply --verbose --debug --trace --color=false

--show_diff --detailed-exitcodes --modulepath /usr/share/foreman-installer/modules:/usr/lib/ruby/gems/1.8/gems/kafo-0.3.11/modules

[ INFO 2014-02-05 16:39:40 main] Puppet has finished, bye!

[ INFO 2014-02-05 16:39:40 main] Executing hooks in group post

[ INFO 2014-02-05 16:39:40 main] All hooks in group post finished

</snip>

Related issues:

Is duplicate of Installer - Bug #4244: Core dump during foreman-installer Rejected 02/04/2014

History

#1 - 02/05/2014 04:16 PM - Mattias Giese

Full output of abrt uploaded to http://people.b1-systems.de/~giese/foreman/foreman-installer-abrt.tbz

#2 - 02/05/2014 06:27 PM - Dominic Cleal

- Is duplicate of Bug #4244: Core dump during foreman-installer added

#3 - 02/05/2014 06:27 PM - Dominic Cleal

- Status changed from New to Closed

Tracking via #4244.
